//  Gnomoradio - gnomoradio/main.cc
//  Copyright (C) 2003  Jim Garrison, Matt Gerginski
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "wraporadio/wraporadio.h"
#include "playlist-chooser-store.h"
#include "main-window.h"
#include "intro-druid.h"
#include "conf.h"

using namespace std;
using namespace Wraporadio;
using namespace Gnomoradio;

/* this initializes the underlying wraporadio, creates the global
 * list of playlists, and creates the first main window
 */

int main (int argc, char *argv[])
{
	Gtk::Main kit(argc, argv);
	Conf::init();
	Wraporadio::Init wr;
	PlaylistChooserStore chooser_store;
	MainWindow mw(&wr, chooser_store);
	mw.show_all();

	IntroDruid::start_if_necessary();

	kit.run(mw);
	return 0;
}
